Subject: Offline Message from Moses Coleman [email-masked]: I have a brand-new
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 14 Apr 2022 04:12:02 -0000

From: Moses Coleman     [email-masked] <[email-masked]>
Phone: 2093283713
Location: Fresno, United States
URL: https://swagtron.com/
Department: SwagTron

I have a brand-new T9 with should I purchase through Amazon about a week ago I am having problems it does not want to self balance or is this the proceedure I must perform before itself balances please advise or do I have a defective model. do I have to return the item. if I do please instruct me how to go about it

----
Zopim
https://www.zopim.com